GENDSA(1SSL)

NOM
gendsa - Générer une clef privée DSA à partir d'un ensemble de paramètres

SYNOPSIS
openssl gendsa [-out fichier] [-des] [-des3] [-idea] [-rand fichier(s)] [-engine id] [fichier_param]

DESCRIPTION
La commande gendsa génère une clef privée DSA à partir d'un fichier de paramètres DSA (qui est généré typiquement avec la commande openssl dsaparam).

OPTIONS

-des|-des3|-idea
    Ces options chiffrent la clef privée avec les algorithmes de chiffrement DES, triple DES ou IDEA respectivement avant la sortie du résultat. Un mot de passe est demandé. Si aucune de ces options n'est précisée, aucun chiffrement n'est effectué.

-rand fichier(s)
    Un ou plusieurs fichiers contenant des données aléatoires utilisées pour initialiser le générateur de nombres pseudoaléatoires, ou une socket EGD (consultez RAND_egd(3)). Plusieurs fichiers peuvent être indiqués en utilisant le séparateur du système d'exploitation : « ; » pour Windows, « , » pour OpenVMS et « : » pour tous les autres.

-engine id
    Indique un moteur (en utilisant son identifiant unique id), et force gendsa à essayer d'obtenir une référence fonctionnelle pour le moteur indiqué, et à l'initialiser si nécessaire. Le moteur sera ensuite utilisé par défaut pour tous les algorithmes disponibles.

fichier_param
    Cette option indique le fichier de paramètres DSA à utiliser. Les paramètres dans ce fichier déterminent la taille de la clef privée. Les paramètres DSA peuvent être générés et examinés avec la commande openssl dsaparam.

NOTES
La génération de clefs DSA consiste essentiellement en la génération de nombres aléatoires et est ainsi nettement plus rapide que la génération de clef RSA par exemple.

VOIR AUSSI
dsaparam(1), dsa(1), genrsa(1), rsa(1)

TRADUCTION
Cette page de manuel a été traduite par arne en 2002 et est maintenue par la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.